Bug 17647 - RH70 beta kernel panic on large memory setup.
RH70 beta kernel panic on large memory setup.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
alpha Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 2000-09-18 14:08 EDT by harry.heinisch
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-29 10:46:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description harry.heinisch 2000-09-18 14:08:49 EDT
Kernel on RH7.0 beta for Alpha panics with large memory configurations.
Please see attached error log for more information.



SROM V2.0 CPU # 00 @  0500  MHz
SROM program starting
Reloading SROM
SROM V2.5-F CPU # 00 @  0500  MHz
SROM program starting
Starting secondary on CPU #1
Starting secondary on CPU #2
Bcache data tests in progress
Bcache address test in progress
CPU parity and ECC detection in progress
Bcache ECC data tests in progress
Bcache TAG lines tests in progress
Memory sizing in progress
Memory configuration in progress
Memory data test in progress
Memory address test in progress
Memory pattern test in progress
Memory thrashing test in progress
Memory initialization
Loading console
Code execution complete (transfer control)

OpenVMS PALcode V1.69-2, Tru64 UNIX PALcode V1.62-1
starting console on CPU 0
initialized idle PCB
initializing semaphores
initializing heap
initial heap 200c0
memory low limit = 154000
heap = 200c0, 17fc0
initializing driver structures
initializing idle process PID
initializing file system
initializing hardware
initializing timer data structures
lowering IPL
CPU 0 speed is 500 MHz
create dead_eater
create poll
create timer
create powerup
access NVRAM
Memory size 4608 MB
testing memory
probe I/O subsystem
probing hose 1, PCI
bus 0, slot 4 -- ewa -- DE500-BA Network Controller
bus 0, slot 6 -- pka -- QLogic ISP10x0
probing hose 0, PCI
probing PCI-to-ISA bridge, bus 1
bus 0, slot 1 -- vga -- ELSA GLoria Synergy
bus 0, slot 3 -- pkb -- NCR 53C895
bus 0, slot 15 -- dqa -- Acer Labs M1543C IDE
bus 0, slot 15 -- dqb -- Acer Labs M1543C IDE
starting drivers
entering idle loop
initializing keyboard
starting console on CPU 1
initialized idle PCB
initializing idle process PID
lowering IPL
CPU 1 speed is 500 MHz
create powerup
starting console on CPU 2
initialized idle PCB
initializing idle process PID
lowering IPL
CPU 2 speed is 500 MHz
create powerup
initializing pkb pka ewa dqa dqb
Memory Testing and Configuration Status
  Array       Size       Base Address    Intlv Mode
---------  ----------  ----------------  ----------
    0        512Mb     0000000100000000    2-Way
    1       2048Mb     0000000000000000    2-Way
    2       1024Mb     0000000080000000    2-Way
    3       1024Mb     00000000c0000000    2-Way

     4608 MB of System Memory
Partition 0, Memory base: 000000000, size: 120000000
initializing GCT/FRU at 196000
AlphaServer ES40 Console V5.6-102, built on Nov 29 1999 at 10:47:31
P00>>>b dqa0 -fi kernels/vmlinux.gz -fl "root=/dev/hda console=ttyS0"
(boot dqa0. -file kernels/vmlinux.gz -flags root=/dev/hda 
block 0 of dqa0. is a valid boot block
reading 163 blocks from dqa0.
bootstrap code read in
base = 200000, image_start = 0, image_bytes = 14600
initializing HWRPB at 2000
initializing page table at 3fbb2000
initializing machine state
setting affinity to the primary CPU
jumping to bootstrap code
aboot: Linux/Alpha SRM bootloader version 0.7
aboot: switching to OSF/1 PALcode version 1.62
aboot: booting from device 'IDE 0 15 0 0 0 0 0'
aboot: no disklabel found.
iso: Max size:304715   Log zone size:2048
iso: First datazone:27   Root inode number 55296
aboot: loading compressed kernels/vmlinux.gz...
aboot: segment 0, 2208672 bytes at 0xfffffc0000310000
aboot: zero-filling 318128 bytes at 0xfffffc000052b3a0
aboot: starting kernel kernels/vmlinux.gz with arguments root=/dev/hda 
Linux version 2.2.16-24BOOT (root@george.devel.redhat.com) (gcc version 
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 Thu Sep 14 18:20:01 
EDT 2000
Booting GENERIC on Tsunami variation Clipper using machine vector Clipper 
from SRM
Command line: root=/dev/hda console=ttyS0
Cropping memory from 4608MB to 2048MB
Turning on RTC interrupts.
Console: colour VGA+ 80x25
Calibrating delay loop... 987.76 BogoMIPS
Memory: 2067520k available
Dentry hash table entries: 262144 (order 9, 4096k)
Buffer cache hash table entries: 524288 (order 9, 4096k)
Page cache hash table entries: 262144 (order 8, 2048k)
POSIX conformance testing by UNIFIX
Alpha PCI BIOS32 revision 0.04
PCI: Probing PCI hardware
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP
TCP: Hash tables configured (ehash 524288 bhash 65536)
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with no serial options enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
RAM disk driver initialized:  16 RAM disks of 8192K size
loop: registered device at major 7
PCI_IDE: unknown IDE controller on PCI bus 00 device 78, VID=10b9, DID=5229
PCI_IDE: not 100% native mode: will probe irqs later
PCI_IDE: simplex device:  DMA disabled
ide0: PCI_IDE Bus-Master DMA disabled (BIOS)
PCI_IDE: simplex device:  DMA disabled
ide1: PCI_IDE Bus-Master DMA disabled (BIOS)
hda: COMPAQ CDR-8435, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: ATAPI 32X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.10
Floppy drive(s): fd0 is 2.88M
FDC 0 is a post-1991 82077
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
   8regs     :  3736.000 MB/sec
   32regs    :  1448.000 MB/sec
using fastest function: 8regs (3736.000 MB/sec)
qlogicisp : new isp1020 revision ID (5)
sym53c8xx: at PCI bus 0, device 3, function 0
sym53c8xx: setting PCI_COMMAND_PARITY...(fix-up)
sym53c8xx: 53c895 detected with Symbios NVRAM
sym53c895-0: rev=0x02, base=0xa800000, io_port=0x8000, irq=32
sym53c895-0: NCR clock is 39857KHz, 39857KHz
sym53c895-0: Symbios format NVRAM, ID 7, Fast-40, Parity Checking
sym53c895-0: initial SCNTL3/DMODE/DCNTL/CTEST3/4/5 = (hex) 
sym53c895-0: final   SCNTL3/DMODE/DCNTL/CTEST3/4/5 = (hex) 
sym53c895-0: on-chip RAM at 0xa801000
sym53c895-0: resetting, command processing suspended for 2 seconds
sym53c895-0: restart (scsi reset).
sym53c895-0: enabling clock multiplier
sym53c895-0: Downloading SCSI SCRIPTS.
scsi0 : QLogic ISP1020 SCSI on PCI bus 01 device 30 irq 60 I/O base 
scsi1 : sym53c8xx - version 1.3g
scsi : 2 hosts.
sym53c895-0: command processing resumed
  Vendor: DEC       Model: RZ2DD-LS (C) DEC  Rev: 0306
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sda at scsi1, channel 0, id 0, lun 0
sym53c895-0-<0,0>: tagged command queue depth set to 8
scsi : detected 1 SCSI generic 1 SCSI disk total.
sym53c895-0-<0,*>: FAST-40 SCSI 40.0 MB/s (25 ns, offset 15)
SCSI device sda: hdwr sector= 512 bytes. Sectors= 17773524 [8678 MB] [8.7 
Partition check:
 sda: unknown partition table
md.c: sizeof(mdp_super_t) = 4104
VFS: Mounted root (iso9660 filesystem) readonly.
Freeing unused kernel memory: 160k freed
Warning: unable to open an initial console.
Kernel panic: No init found.  Try passing init= option to kernel.
Comment 1 Nalin Dahyabhai 2000-09-18 14:18:26 EDT
It looks like something could be wrong with your disk's partition table. 
Regardless, kernelcfg is only a configuration tool for controlling the contents
of /etc/modules.conf, so I'm reassigning this to the kernel component.
Comment 2 Matt Wilson 2000-11-29 10:46:04 EST
Boot the installer with "boot dqa0 -fl 0", BIGMEM is in final as well.

Note You need to log in before you can comment on or make changes to this bug.